الانتقال إلى المحتوى الرئيسي
POST
/
gemini
/
videos
Gemini Videos
curl --request POST \
  --url https://api.acedata.cloud/gemini/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "A cinematic shot of a kitten chasing a butterfly in a sunlit garden"
}
'
import requests

url = "https://api.acedata.cloud/gemini/videos"

payload = { "prompt": "A cinematic shot of a kitten chasing a butterfly in a sunlit garden" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: 'A cinematic shot of a kitten chasing a butterfly in a sunlit garden'})
};

fetch('https://api.acedata.cloud/gemini/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "success": true,
  "task_id": "b8976e18-32dc-4718-9ed8-1ea090fcb6ea",
  "trace_id": "fb751e1e-4705-49ea-9fd4-5024b7865ea2",
  "data": [
    {
      "id": "omni-flash:job_01k777hjrbfrgs2060q5zvf2a5",
      "video_url": "https://cdn.acedata.cloud/43a57990c0.mp4",
      "state": "succeeded"
    }
  ]
}
{
"error": {
"code": "bad_request",
"message": "prompt is required when generate video."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}

التفويضات

Authorization
string
header
مطلوب

الترويسات

accept
enum<string>

Gemini Videos Param Accept

الخيارات المتاحة:
application/json,
application/x-ndjson

الجسم

application/json
prompt
string
مطلوب

Gemini Videos Prompt

مثال:

"A cinematic shot of a kitten chasing a butterfly in a sunlit garden"

model
enum<string>
افتراضي:omni-flash

Gemini Videos Model

الخيارات المتاحة:
omni-flash
مثال:

"omni-flash"

aspect_ratio
enum<string>
افتراضي:16:9

Gemini Videos Aspect Ratio

الخيارات المتاحة:
16:9,
9:16
مثال:

"16:9"

image_urls
string[]

Gemini Videos Image Urls

callback_url
string

Gemini Videos Callback Url

async
boolean

Gemini Videos Async

الاستجابة

Gemini Videos Response 200

success
boolean

Gemini Videos Response 200 Success

task_id
string

Gemini Videos Response 200 Task Id

trace_id
string

Gemini Videos Response 200 Trace Id

data
object[]

Gemini Videos Response 200 Data